%define	libname		%mklibname haru %{version}
%define develname	%mklibname haru -d
%define src_name	RELEASE_2_3_0

Summary:	Cross platform software library for generating PDF
Name:		libharu
Version:	2.3.0
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD-like
URL:		http://www.libharu.org
Source0:	https://github.com/%{name}/%{name}/archive/%{src_name}.tar.gz
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	file

%description
HARU is a free, cross platform, open-sourced software library for generating
PDF.

%package -n	%{libname}
Summary:	Shared libharu library
Group:		System/Libraries

%description -n	%{libname}
HARU is a free, cross platform, open-sourced software library for generating
PDF.

%package -n	%{develname}
Summary:        Development headers for libharu 
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
HARU is a free, cross platform, open-sourced software library for generating
PDF.

This package contains the static library and header files.

%prep
%setup -q -n %{name}-%{src_name}

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-debug
%make

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README
%{_libdir}/libhpdf-%{version}.so

%files -n %{develname}
%{_includedir}/hpdf*.h
%{_libdir}/libhpdf.so


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 2.3.0-3.mga6
+ Revision: 955563
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 2.3.0-2.mga6
+ Revision: 892792
- fix empty debugfiles adding --enable-debug configure option

* Tue Jul 28 2015 sander85 <sander85> 2.3.0-1.mga6
+ Revision: 858642
- New version: 2.3.0

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-6.mga5
+ Revision: 749525
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-5.mga5
+ Revision: 681521
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.2.1-4.mga4
+ Revision: 525872
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 2.2.1-3.mga4
+ Revision: 434906
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 357459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 2.2.1-1.mga3
+ Revision: 322514
- drop .la file
- update file list
- fix build with libpng 1.5
- new version 2.2.1

* Tue Sep 20 2011 fwang <fwang> 2.0.8-8.mga2
+ Revision: 145932
- fix build with latest libpng
- rebuild for new libpng

* Sun Feb 06 2011 spuhler <spuhler> 2.0.8-7.mga1
+ Revision: 47990
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libharu


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-7mdv2011.0
+ Revision: 620126
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.0.8-6mdv2010.0
+ Revision: 429745
- rebuild

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-5mdv2009.0
+ Revision: 232985
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.8-4mdv2008.1
+ Revision: 170949
- rebuild
- summary is not licence tag
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-3mdv2008.0
+ Revision: 79504
- fix deps (again...)

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-2mdv2008.0
+ Revision: 79436
- fix deps

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-1mdv2008.0
+ Revision: 79408
- Import libharu



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-1mdv2008.0
- initial Mandriva package (opensuse import)
